Intereting Posts
Черный экран после GRUB Должны ли операнды к утилите всегда появляться после всех параметров утилиты? выходные журналы в crontab не работают Любой способ рекламировать предпочитаемый IPv6-адрес с помощью rtadvd Есть ли способ ограничить окно vim отображать только часть буфера? Как проверить, использует ли приложение память моей видеокарты? Преобразование содержимого файла в нижний регистр и сохранение результата в том же файле Сделать gdm / mdm запрос на пустой пароль в liveCD Простой способ найти количество секунд между двумя (нестандартными) форматами даты? Журналы планировщиков процессов Unix / Linux Лучшая практика для настройки формата даты и времени в масштабах всей системы? как перезагрузить несколько компьютеров, используя цикл bash из файла txt Считать количество строк в нескольких файлах Что означает «если » означает? Где $ name – путь к каталогу Есть ли список сетевых адаптеров, работающих с Linux?

что означает «gbp: error: upstream / 1.5.13 не является допустимым деревом»?

Я хочу создать пакет debian с пакетом git build. (Gbp) Я передал все шаги и, по крайней мере, когда я ввел gbp buildpackage , эта ошибка появилась.

что это значит? а что мне делать?

 gbp:error: upstream/1.5.13 is not a valid treeish 

Текущий тег / ветвь, в которой вы находитесь, не является исходным деревом Debian, он не содержит директорию debian/ в своем корне. Это очевидно, потому что вы используете ветвь «вверх / вниз», имя, используемое для загрузки исходного дерева исходных текстов в хранилища git. Попробуйте использовать стабильную ветвь, тестирование или нестабильность или любую ветку, которая начинается с Debian или фиксация, помеченная с помощью схемы управления версиями Debian.

Это может быть вызвано тем, что tarball не присутствует в родительском каталоге. Я получаю это (высококритическое) сообщение даже с присутствующей папкой debian /.

Мое решение состояло в том, чтобы использовать uscan для получения файла часов для загрузки новой копии tarball

 uscan --force-download